<?php

require_once($_SERVER["DOCUMENT_ROOT"]."/inc/function.php");

if ($sys['modules']['pp'] == 0) die(); // если модуль отключен

$geo = function_exists('geoip_country_code_by_name') ? geoip_country_code_by_name($ip) : 'UNKNOWN';

$token = isset($_GET['token']) ? intval($_GET['token']) : false;
$partner = isset($_GET['partner']) ? intval($_GET['partner']) : false;

$strow = $connect->prepare("select * from `pp_site` where `id` = ? and `status` = ?");
$strow->execute(array($partner, 1));
$pp_row = $strow->fetch();

$strow = $connect->prepare("select * from `pp_link` where `id` = ?");
$stmt_log = $connect->prepare("insert into `pp_click` set `time` = ?, `link` = ?, `partner` = ?, `site` = ?, `ip` = ?, `ua` = ?, `referer` = ?, `geo` = ?");
$stmt_pp = $connect->prepare("update `pp_link` set `click` = `click` - ? where `id` = ?");

$strow->execute(array($id));
$row = $strow->fetch();

if ($row && $pp_row) {

    // Если партнер пытается перейти по ссылке
    if ((isset($active) && $user['id'] == $pp_row['uid'])
      || $ip == authlog($pp_row['uid'])['ip'])
        exit(header('Location: '.$row['url']));

    // Если подмена токена
    if (!isset($_SESSION['pp_token']) ||
        $_SESSION['pp_token'] != $token)
        exit(header('Location: '.$row['url']));

    // Если уже был клик с этого IP
    $stmt_click->execute(array($ip, $id));
    if ($stmt_click->fetchColumn())
        exit(header('Location: '.$row['url']));
 
    pay($row['cena'], $pp_row['uid']); // Всё ок, платим партнеру :)

    $stmt_log->execute(array(time(), $id, $pp_row['uid'], $partner, $ip, $ua, $_SERVER['HTTP_REFERER'], $geo)); // лог

    $stmt_pp->execute(array(1, $id)); // засчитываем переход

    header('Location: '.$row['url']); // перенаправляем

} else
    die('ERR: ПЛОЩАДКА НЕ НАЙДЕНА!');