<?php
$title = 'Рекламная сеть';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if ($adm_id == 1) {

    $sys['system']['wba'] = $sys['system']['wba'] ?? '200x50';

    if ($adm_id == 1) {

        echo '<div class="title">Настройки</div>';

        if (isset($_POST['settings'])) {
 
            $error = '';

            if (empty($_POST['wba'])) {
                $error.= 'Укажите размер баннера!<br/>';
            }
            elseif (!sizeConv($_POST['wba'])) {
                $error.= 'Неверный формат размера баннера: вводить нужно в формате ШИРИНАxВЫСОТА!<br/>';
            }
            if (empty($_POST['pp_cena'])) {
                $error.= 'Укажите минимальную цену клика!<br/>';
            }
            elseif ($_POST['pp_cena'] < 0.01) {
                $error.= 'Минимальная цена клика не может быть меньше 0.01!<br/>';
            }
            if ($error) {
                echo '<div class="menu">'.$error.'</div>';
            } else {

                $pp = intval($_POST['pp']);

                if ($pp == 1) {
                    $sys['system']['wba'] = $_POST['wba'];
                    $sys['system']['pp_cena'] = floatval(abs($_POST['pp_cena']));
                    $sys['modules']['mod_pp'] = intval($_POST['mod_pp']);
                    $sys['modules']['mod_ps'] = intval($_POST['mod_ps']);
                }

                $sys['modules']['pp'] = $pp;

                write_ini_file(FILE_CONFIG, $sys);

                header('Location: /adm/pp');

            }

        }

        echo '<div class="menu">
        <form action="" method="POST">
        Статус модуля:<br/><select name="pp"><option value="1">Вкл.</option><option '.($sys['modules']['pp'] == 3 ? 'selected' : '').' value="3">Откл.</option></select><br/>
        Автомодерация площадок:<br/><select name="mod_pp"><option value="1">Вкл.</option><option '.($sys['modules']['mod_pp'] == 3 ? 'selected' : '').' value="3">Откл.</option></select><br/>
        Автомодерация партнёров:<br/><select name="mod_ps"><option value="1">Вкл.</option><option '.($sys['modules']['mod_ps'] == 3 ? 'selected' : '').' value="3">Откл.</option></select><br/>
        Размер баннера:<br/><input type="text" name="wba" value="'.$sys['system']['wba'].'"><br/>
        Минимальная цена клика:<br/><input type="text" name="pp_cena" value="'.$sys['system']['pp_cena'].'"><br/>
        <input type="submit" name="settings" value="Сохранить">
        </form></div>';

    }

    echo '<div class="title">Площадки ('.$all_links . $new_mod_link.')</div>
    <div class="menu">
    <form action="" method="GET">
    <input type="text" name="search" value="'.$search.'">
    <input type="submit" value="Поиск">
    </form></div>';

    $num_u = $connect->prepare("select count(*) from `pp_link` where `id` = ?");
    $strow = $connect->prepare("select * from `pp_link` where `id` = ?");

    if ($adm_id == 1) {
        if (isset($_GET['edit'])) {
            $num_u->execute(array($_GET['edit']));
            if ($num_u->fetchColumn()) {
                $strow->execute(array($_GET['edit']));
                $row = $strow->fetch();
                $file = GlobFiles::findById($_GET['edit'], GlobFiles::Files, GlobFiles::MaskPp);
                if (isset($_POST['cancel'])) {
                    header ('location: /adm/pp');
                }
                elseif (isset($_POST['red'])) {

                    $stmt_num = $connect->prepare("select count(*) from `pp_link` where `url` = ? and `id` != ?");
                    $stmt_num->execute(array($_POST['url'], $_GET['edit']));

                    $row_u = user($_POST['login'], 1);

                    $error = '';

                    if (empty($_POST['login'])) {
                        $error.= 'Введите логин пользователя!<br/>';
                    }
                    elseif (!$row_u) {
                        $error.= 'Пользователь с таким логином не найден в системе!<br/>';
                    }
                    if (empty($_POST['url'])) {
                        $error.= 'Введите URL!<br/>';
                    }
                    elseif (mb_strlen($_POST['url']) < 5 || mb_strlen($_POST['url']) > 250) {
                        $error.= 'URL должен содержать от 5 до 250 символов!<br/>';
                    }
                    elseif ($stmt_num->fetchColumn()) {
                        $error.= 'Площадка с данным URL уже есть в системе!<br/>';
                    }
                    elseif (!isSiteAvailable($_POST['url'])) {
                        $error.= 'URL недоступен или введен не правильно!<br/>';
                    }
                    if (file_exists($_FILES['filename']['tmp_name'])) {
                        if (!BeforeUpload::AttachIMG($_FILES['filename'])) {
                            $error.= 'Неверный тип файла!<br/>';
                        }
                        if ($_FILES['filename']['size'] > 1024 * 1024) {
                            $error.= 'Максимальный размер файла - '.byte_conv(1024 * 1024).'!<br/>';
                        }
                    } elseif (!$file || $_POST['type'] == 0) {
                        if (empty($_POST['name'])) {
                            $error.= 'Введите название!<br/>';
                        }
                        elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 75) {
                            $error.= 'Название должно содержать от 5 до 75 символов!<br/>';
                        }
                    }
                    if (empty($_POST['cena'])) {
                        $error.= 'Введите цену перехода!<br/>';
                    }
                    elseif ($_POST['cena'] < $sys['system']['pp_cena']) {
                        $error.= 'Минимальная цена перехода - '.rub($sys['system']['pp_cena']).'!<br/>';
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $banner = (($file && $_POST['type'] == 1) || file_exists($_FILES['filename']['tmp_name'])) ? 1 : 0;
                        $name = $banner ? '' : $_POST['name'];
                        $cena = floatval($_POST['cena']);
                        $stmt = $connect->prepare("update `pp_link` set `url` = ?, `banner` = ?, `name` = ?, `cena` = ?, `uid` = ? where `id` = ?");
                        if ($stmt->execute(array($_POST['url'], $banner, $name, $cena, $row_u['id'], $_GET['edit']))) {
                            if ($file && $_POST['type'] == 0)
                                unlink($file);
                            if ($_POST['type'] == 1 && file_exists($_FILES['filename']['tmp_name'])) {
                                $lid = $_GET['edit'];
                                $files = $lid."_pp_".random_int(11111, 99999)."_".$_FILES['filename']['name'];
                                move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                                if ($file)
                                    unlink($file);
                            }
                            header ('location: /adm/pp');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }

                echo '<div class="menu">
                <form action="" method="POST">
                URL-адрес [5-250]:<br/><input type="text" name="url" value="'.$row['url'].'"><br/>
                Тип:<br/><select id="type" name="type">
                <option value="1">Баннер</option>
                <option '.($row['banner'] == 0 ? 'selected' : '').' value="0">Ссылка</option>
                </select><br/>
                <span id="type1" class="'.($row['banner'] == 1 ? 'wa-inline' : 'wa-hidden').'">Баннер:'.($file ? iconFile($file).'<a data-noajax href="/files/'.basename($file).'">'.basename($file).'</a> ('.get_filesize($file).')' : '').'<br/><input type="file" name="filename"><br/></span>
                <span id="type0" class="'.($row['banner'] == 1 ? 'wa-hidden' : 'wa-inline').'">
                Название [5-75]:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
                </span>
                Цена перехода:<br/><input type="text" name="cena" value="'.$row['cena'].'"><br/>
                Пользователь:<br/><input type="text" name="login" value="'.user($row['uid'])['login'].'"><br/>
                <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit']).')">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
                ?>
                <script>
                    $(function() {
                        var type = $('#type');
                        type.change(function() {
                            if (type.val() == 1) {
                                $('#type1').show();
                                $('#type0').hide();
                            } else {
                                $('#type0').show();
                                $('#type1').hide();
                            }
                        });
                    });
                </script>
                <?
            } else {
                header ('location: /adm/pp');
            }
        }
        elseif (isset($_GET['del'])) {
            $num_u->execute(array($_GET['del']));
            if ($num_u->fetchColumn()) {
                if (isset($_POST['yes'])) {
                    $strow->execute(array($_GET['del']));
                    $row = $strow->fetch();
                    $del = $connect->prepare("delete from `pp_link` where `id` = ?");
                    if ($del->execute(array($_GET['del']))) {
                        if (isset($_POST['moneyback']))
                            pay($row['click'] * $row['cena'], $row['uid']);
                        $file = GlobFiles::findById($_GET['del'], GlobFiles::Files, GlobFiles::MaskPp);
                        if ($file)
                            unlink($file);
                        header('Location: /adm/pp');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /adm/pp');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="checkbox" checked name="moneyback" value="1" >С возвратом средств<br/>
                <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/>
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            } else {
                header('Location: /adm/pp');
            }
        }
        elseif (isset($_GET['bs'])) {
            $num_u->execute(array($_GET['bs']));
            if ($num_u->fetchColumn()) {
                $strow->execute(array($_GET['bs']));
                $row = $strow->fetch();
                if (isset($_POST['yes'])) {
                    $error = '';
                    if (empty($_POST['col'])) {
                        $error.= 'Введите количество переходов!<br/>';
                    }
                    elseif (!is_numeric($_POST['col'])) {
                        $error.= 'Неверное значение!<br/>';
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $col = intval($_POST['col']);
                        $stmt = $connect->prepare("update `pp_link` set `click` = `click` + ? where `id` = ?");
                        if ($stmt->execute(array($col, $_GET['bs']))) {
                            header('Location: /adm/pp');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /adm/pp');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                Количество переходов:<br/><input type="text" name="col" value="10"><br/>
                <input type="submit" name="yes" value="Пополнить ('.intval($_GET['bs']).')"/> 
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            } else {
                header('Location: /adm/pp');
            }
        }
    }

    if (isset($_GET['ban'])) {
        $num_u->execute(array($_GET['ban']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['ban']));
            $row = $strow->fetch();
            if (isset($_POST['done']) || isset($_POST['block'])) {
                $status = isset($_POST['block']) ? 2 : 1;
                $stmt = $connect->prepare("update `pp_link` set `status` = ? where `id` = ?");
                if ($stmt->execute(array($status, $_GET['ban']))) {
                    notification('Ваша площадка в рекламной сети (ID: '.$row['id'].') '.($status == 2 ? '[color=red]заблокирована[/color]' : '[color=green]активирована[/color]'), $row['uid']);
                    header('Location: /adm/pp');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /adm/pp');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            ID: '.intval($_GET['ban']).'<hr/>
           '.($row['status'] != 1 ? '<input type="submit" name="done" value="Активировать">' : '').
             ($row['status'] != 2 ? '<input type="submit" name="block" value="Заблокировать">' : '').'
            <input type="submit" name="cancel" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/pp');
        }
    }

    $keywords = $search ? preg_replace("/[\s,]+/", "|", $search) : RS_ALL_CHARS;

    $stmt_num = $connect->prepare("select count(*) from `pp_link` where `url` rlike :keywords or `name` rlike :keywords or `uid` rlike :keywords");
    $stmt_num->bindValue(':keywords', $keywords);
    $stmt_num->execute();
    $count_res = $stmt_num->fetchColumn();

    if ($count_res == 0) {
        echo '<div class="menu">NONE</div>';
    } else {

        $page = new Pagination($count_res, 10);

        if ($search) {

            $page->setLink('?search=' . $search . '&');

            echo '<div class="menu">Найдено по запросу: '.$count_res.'</div>';

        }

        $data = $connect->prepare("select * from `pp_link` where `url` rlike :keywords or `name` rlike :keywords or `uid` rlike :keywords order by `status` desc, `click` desc, `id` desc limit :start, 10");
        $data->bindValue(':keywords', $keywords);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $stmt_cl->execute(array($row['id']));
            $click = $stmt_cl->fetchColumn();

            $file = GlobFiles::findById($row['id'], GlobFiles::Files, GlobFiles::MaskPp);

            echo '<div class="menu">
            ID: '.$row['id'].'<br/>
            URL: '.bblinks($row['url']).'<br/>
            '.($row['banner'] == 1 ? 'Баннер: '.($file ? iconFile($file).'<a data-noajax href="/files/'.basename($file).'">'.basename($file).'</a> ('.get_filesize($file).')<br/><img src="/preview/'.$sys['system']['wba'].'/'.base64_encode('/files/'.basename($file)).'" alt="preview">' : 'NONE') : 'Название: '.$row['name']).'<br/>
            Баланс: '.$row['click'].'<br/>
            Статус: '.($row['status'] == 1 ? 'Включена' : 'Отключена').'<br/>
            Для взрослых: '.($row['adult'] == 1 ? 'Да' : 'Нет').'<br/>
            Разрешить показ рекламы на сайтах для взрослых: '.($row['adult_view'] == 1 ? 'Да' : 'Нет').'<br/>
            Сегодня переходов: '.$click.'<br/>
            Дата добавления: '.daytime($row['time']).'<br/>
            Пользователь: '.profileLink($row['uid']).'<br/>
            <div class="chi">Цена перехода: '.rub($row['cena']).'</div>
            '.($row['status'] == 3 ? '<div class="information">На модерации!</div>' : ($row['status'] == 2 ? '<div class="danger">Площадка заблокирована!</div>' : '')).'
            <div class="butt2">
            '.($adm_id == 1 ? '<a href="?del='.$row['id'].'">Удалить</a>
            <a href="?edit='.$row['id'].'">Редактировать</a>
            <a href="?bs='.$row['id'].'">Пополнить баланс</a>' : '').'
            <a href="?ban='.$row['id'].'">Модерация</a>
            </div>
            </div>';

        }

        $page->navigation();

    }

    echo '<div class="title">Партнёры ('.$all_sites . $new_mod_site.')</div>';

    $num_u = $connect->prepare("select count(*) from `pp_site` where `id` = ?");
    $strow = $connect->prepare("select * from `pp_site` where `id` = ?");

    if ($adm_id == 1) {
        if (isset($_GET['edit2'])) {
            $num_u->execute(array($_GET['edit2']));
            if ($num_u->fetchColumn()) {
                $strow->execute(array($_GET['edit2']));
                $row = $strow->fetch();
                if (isset($_POST['cancel'])) {
                    header ('location: /adm/pp');
                }
                elseif (isset($_POST['red'])) {

                    $stmt_num = $connect->prepare("select count(*) from `pp_site` where `url` = ? and `id` != ?");
                    $stmt_num->execute(array($_POST['url'], $_GET['edit2']));

                    $row_u = user($_POST['login'], 1);

                    $error = '';

                    if (empty($_POST['login'])) {
                        $error.= 'Введите логин пользователя!<br/>';
                    }
                    elseif (!$row_u) {
                        $error.= 'Пользователь с таким логином не найден в системе!<br/>';
                    }
                    if (empty($_POST['url'])) {
                        $error.= 'Введите URL!<br/>';
                    }
                    elseif (mb_strlen($_POST['url']) < 5 || mb_strlen($_POST['url']) > 250) {
                        $error.= 'URL должен содержать от 5 до 250 символов!<br/>';
                    }
                    elseif ($stmt_num->fetchColumn()) {
                        $error.= 'Площадка с данным URL уже есть в системе!<br/>';
                    }
                    elseif (!isSiteAvailable($_POST['url'])) {
                        $error.= 'URL недоступен или введен не правильно!<br/>';
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $stmt = $connect->prepare("update `pp_site` set `url` = ?, `uid` = ? where `id` = ?");
                        if ($stmt->execute(array($_POST['url'], $row_u['id'], $_GET['edit2']))) {
                            header ('location: /adm/pp');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }

                echo '<div class="menu">
                <form action="" method="POST">
                URL-адрес [5-250]:<br/><input type="text" name="url" value="'.$row['url'].'"><br/>
                Пользователь:<br/><input type="text" name="login" value="'.user($row['uid'])['login'].'"><br/>
                <input type="submit" name="red" value="Сохранить ('.intval($_GET['edit2']).')">
                <input type="submit" name="cancel" value="Отмена">
                </form></div>';
            } else {
                header ('location: /adm/pp');
            }
        }
        elseif (isset($_GET['del2'])) {
            $num_u->execute(array($_GET['del2']));
            if ($num_u->fetchColumn()) {
                if (isset($_POST['yes'])) {
                    $del = $connect->prepare("delete from `pp_site` where `id` = ?");
                    if ($del->execute(array($_GET['del2']))) {
                        header('Location: /adm/pp');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /adm/pp');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Удалить ('.intval($_GET['del2']).')"/>
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            } else {
                header('Location: /adm/pp');
            }
        }
    }

    if (isset($_GET['ban2'])) {
        $num_u->execute(array($_GET['ban2']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['ban2']));
            $row = $strow->fetch();
            if (isset($_POST['done']) || isset($_POST['block'])) {
                $status = isset($_POST['block']) ? 2 : 1;
                $stmt = $connect->prepare("update `pp_site` set `status` = ? where `id` = ?");
                if ($stmt->execute(array($status, $_GET['ban2']))) {
                    notification('Ваша площадка в партнёрской программе (ID: '.$row['id'].') '.($status == 2 ? '[color=red]заблокирована[/color]' : '[color=green]активирована[/color]'), $row['uid']);
                    header('Location: /adm/pp');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
            elseif (isset($_POST['cancel'])) {
                header('Location: /adm/pp');
            }
            echo '<div class="menu">
            <form action="" method="POST">
            ID: '.intval($_GET['ban2']).'<hr/>
           '.($row['status'] != 1 ? '<input type="submit" name="done" value="Активировать">' : '').
             ($row['status'] != 2 ? '<input type="submit" name="block" value="Заблокировать">' : '').'
            <input type="submit" name="cancel" value="Отмена"/>
            </form></div>';
        } else {
            header('Location: /adm/pp');
        }
    }

    if ($all_sites == 0) {
        echo '<div class="menu">NONE</div>';
    } else {

        $page = new Pagination($all_sites, 10);
        $page->setGET('page2');

        $data = $connect->prepare("select * from `pp_site` order by `status` desc, `id` desc limit :start, 10");
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            echo '<div class="menu">
            ID: '.$row['id'].'<br/>
            URL: '.bblinks($row['url']).'<br/>
            Статистика сайта: '.bblinks($row['stat']).'<br/>
            Пароль от статистики: '.($row['pass'] ? $row['pass'] : 'нету').'
            Статус: '.($row['status'] == 1 ? 'Включена' : 'Отключена').'<br/>
            Для взрослых: '.($row['adult'] == 1 ? 'Да' : 'Нет').'<br/>
            Размещать рекламу сайтов для взрослых: '.($row['adult_view'] == 1 ? 'Да' : 'Нет').'<br/>
            Пользователь: '.profileLink($row['uid']).'<br/>
            '.($row['status'] == 3 ? '<div class="information">На модерации!</div>' : ($row['status'] == 2 ? '<div class="danger">Площадка заблокирована!</div>' : '')).'
            <div class="butt2">
            '.($adm_id == 1 ? '<a href="?del2='.$row['id'].'">Удалить</a>
            <a href="?edit2='.$row['id'].'">Редактировать</a>' : '').'
            <a href="?ban2='.$row['id'].'">Модерация</a>
            </div>
            </div>';

        }

        $page->navigation();

    }

} else {
    header ('location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>