<?php
$title = 'Рекламная сеть';
require_once($_SERVER["DOCUMENT_ROOT"]."/inc/head.php");
if (isset($active) && $sys['modules']['pp'] == 1) {

    $sys['system']['wba'] = $sys['system']['wba'] ?? '200x50';

    echo '<div class="title">Мои площадки ('.$links.')</div>
    <div class="forlink"><a href="/pp/add" class="links"><img src="/img/add.png" alt="add">Создать площадку</a></div>';

    $num_u = $connect->prepare("select count(*) from `pp_link` where `id` = ? and `uid` = ?");
    $strow = $connect->prepare("select * from `pp_link` where `id` = ?");

    if (isset($_GET['edit'])) {
        $num_u->execute(array($_GET['edit'], $user['id']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['edit']));
            $row = $strow->fetch();
            $file = GlobFiles::findById($_GET['edit'], GlobFiles::Files, GlobFiles::MaskPp);
            if ($row['status'] == 2) {
                header('Location: /pp');
            } else {
                if (isset($_POST['yes'])) {

                    $stmt_num = $connect->prepare("select count(*) from `pp_link` where `url` = ? and `id` != ?");
                    $stmt_num->execute(array($_POST['url'], $_GET['edit']));

                    $cena = isset($_POST['cena']) && $row['click'] == 0 ? floatval($_POST['cena']) : $row['cena'];

                    $error = '';

                    if (empty($_POST['url'])) {
                        $error.= 'Введите URL!<br/>';
                    }
                    elseif (mb_strlen($_POST['url']) < 5 || mb_strlen($_POST['url']) > 250) {
                        $error.= 'URL должен содержать от 5 до 250 символов!<br/>';
                    }
                    elseif ($stmt_num->fetchColumn()) {
                        $error.= 'Площадка с данным URL уже есть в системе!<br/>';
                    }
                    elseif (!isSiteAvailable($_POST['url'])) {
                        $error.= 'URL недоступен или введен не правильно!<br/>';
                    }
                    if (file_exists($_FILES['filename']['tmp_name'])) {
                        if (!BeforeUpload::AttachIMG($_FILES['filename'])) {
                            $error.= 'Неверный тип файла!<br/>';
                        }
                        if ($_FILES['filename']['size'] > 1024 * 1024) {
                            $error.= 'Максимальный размер файла - '.byte_conv(1024 * 1024).'!<br/>';
                        }
                    } elseif (!$file || $_POST['type'] == 0) {
                        if (empty($_POST['name'])) {
                            $error.= 'Введите название!<br/>';
                        }
                        elseif (mb_strlen($_POST['name']) < 5 || mb_strlen($_POST['name']) > 75) {
                            $error.= 'Название должно содержать от 5 до 75 символов!<br/>';
                        }
                    }
                    if (empty($cena)) {
                        $error.= 'Введите цену перехода!<br/>';
                    }
                    elseif ($cena < $sys['system']['pp_cena']) {
                        $error.= 'Минимальная цена перехода - '.rub($sys['system']['pp_cena']).'!<br/>';
                    } 
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $adult = empty($_POST['adult']) ? 0 : 1;
                        $adult_view = empty($_POST['adult_view']) ? 0 : 1;
                        $banner = (($file && $_POST['type'] == 1) || file_exists($_FILES['filename']['tmp_name'])) ? 1 : 0;
                        $name = $banner ? '' : $_POST['name'];
                        $status = ($adm_id == 1 || $sys['modules']['mod_pp'] == 1) ? $row['status'] : 3;
                        $stmt = $connect->prepare("update `pp_link` set `adult` = ?, `adult_view` = ?, `url` = ?, `banner` = ?, `name` = ?, `cena` = ?, `status` = ? where `id` = ?");
                        if ($stmt->execute(array($adult, $adult_view, $_POST['url'], $banner, $name, $cena, $status, $_GET['edit']))) {
                            if ($file && $_POST['type'] == 0)
                                unlink($file);
                            if ($_POST['type'] == 1 && file_exists($_FILES['filename']['tmp_name'])) {
                                $lid = $_GET['edit'];
                                $files = $lid."_pp_".random_int(11111, 99999)."_".$_FILES['filename']['name'];
                                move_uploaded_file($_FILES['filename']['tmp_name'], $_SERVER["DOCUMENT_ROOT"]."/files/".$files);
                                if ($file)
                                    unlink($file);
                            }
                            header('Location: /pp');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /pp');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                URL-адрес [5-250]:<br/><input type="text" name="url" value="'.$row['url'].'"><br/>
                Тип:<br/><select id="type" name="type">
                <option value="1">Баннер</option>
                <option '.($row['banner'] == 0 ? 'selected' : '').' value="0">Ссылка</option>
                </select><br/>
                <span id="type1" class="'.($row['banner'] == 1 ? 'wa-inline' : 'wa-hidden').'">Баннер:'.($file ? iconFile($file).'<a data-noajax href="/files/'.basename($file).'">'.basename($file).'</a> ('.get_filesize($file).')' : '').'<br/><input type="file" name="filename"><br/></span>
                <span id="type0" class="'.($row['banner'] == 1 ? 'wa-hidden' : 'wa-inline').'">
                Название [5-75]:<br/><input type="text" name="name" value="'.$row['name'].'"><br/>
                </span>
                '.($row['click'] == 0 ? 'Цена перехода:<br/><input type="text" name="cena" value="'.$row['cena'].'"><br/>' : '').'
                <input type="checkbox" '.($row['adult'] == 1 ? 'checked' : '').' name="adult" value="1">Для взрослых (18+)<br/>
                <input type="checkbox" '.($row['adult_view'] == 1 ? 'checked' : '').' name="adult_view" value="1">Разрешить показ рекламы на сайтах для взрослых<br/>
                <input type="submit" name="yes" value="Сохранить ('.intval($_GET['edit']).')"/>
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
                ?>
                <script>
                    $(function() {
                        var type = $('#type');
                        type.change(function() {
                            if (type.val() == 1) {
                                $('#type1').show();
                                $('#type0').hide();
                            } else {
                                $('#type0').show();
                                $('#type1').hide();
                            }
                        });
                    });
                </script>
                <?
            }
        } else {
            header('Location: /pp');
        }
    }
    elseif (isset($_GET['mode'])) {
        $num_u->execute(array($_GET['mode'], $user['id']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['mode']));
            $row = $strow->fetch();
            if ($row['status'] == 2 || $row['status'] == 3) {
                header('Location: /pp');
            } else {
                if (isset($_POST['yes'])) {
                    $status = $row['status'] == 1 ? 0 : 1;
                    $stmt = $connect->prepare("update `pp_link` set `status` = ? where `id` = ?");
                    if ($stmt->execute(array($status, $_GET['mode']))) {
                        header('Location: /pp');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /pp');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="'.($row['status'] == 1 ? 'Отключить' : 'Включить').' ('.intval($_GET['mode']).')">
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            }
        } else {
            header('Location: /pp');
        }
    }
    elseif (isset($_GET['del'])) {
        $num_u->execute(array($_GET['del'], $user['id']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['del']));
            $row = $strow->fetch();
            if ($row['status'] == 2) {
                header('Location: /pp');
            } else {
                if (isset($_POST['yes'])) {
                    $del = $connect->prepare("delete from `pp_link` where `id` = ?");
                    if (pay($row['click'] * $row['cena'], $user['id']) && $del->execute(array($_GET['del']))) {
                        $file = GlobFiles::findById($_GET['del'], GlobFiles::Files, GlobFiles::MaskPp);
                        if ($file)
                            unlink($file);
                        header('Location: /pp');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /pp');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Удалить ('.intval($_GET['del']).')"/> 
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
           }
        } else {
            header('Location: /pp');
        }
    }
    elseif (isset($_GET['bs'])) {
        $num_u->execute(array($_GET['bs'], $user['id']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['bs']));
            $row = $strow->fetch();
            if ($row['status'] == 2) {
                header('Location: /pp');
            } else {
                if (isset($_POST['yes'])) {
                    $error = '';
                    if (empty($_POST['col'])) {
                        $error.= 'Введите количество переходов!<br/>';
                    }
                    elseif (!is_numeric($_POST['col'])) {
                        $error.= 'Неверное значение!<br/>';
                    }
                    elseif ($_POST['col'] < 10) {
                        $error.= 'Минимальное количество переходов - 10!<br/>';
                    }
                    elseif ($user['money'] < $_POST['col'] * $row['cena']) {
                        $error.= 'Недостаточно средств!<br/>';
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {

                        $col = intval($_POST['col']);
                        $sum = $col * $row['cena'];

                        $stmt = $connect->prepare("update `pp_link` set `click` = `click` + ? where `id` = ?");

                        if (pay(-$sum, $user['id']) && $stmt->execute(array($col, $_GET['bs']))) {
                            header('Location: /pp');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /pp');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                Количество переходов:<br/><input type="text" name="col" value="10"><br/>
                <input type="submit" name="yes" value="Пополнить ('.intval($_GET['bs']).')"/> 
                <input type="submit" name="no" value="Отмена"/><br/>
                <div class="chi">Стоимость перехода: '.rub($row['cena']).'</div>
                </form></div>';
            }
        } else {
            header('Location: /pp');
        }
    }
    elseif (isset($_GET['geo'])) {
        $num_u->execute(array($_GET['geo'], $user['id']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['geo']));
            $row = $strow->fetch();
            if ($row['status'] == 2) {
                header('Location: /pp');
            } else {
                if (isset($_POST['yes'])) {
                    $cc = json_encode($_POST['cc']);
                    $stmt = $connect->prepare("update `pp_link` set `cc` = ? where `id` = ?");
                    if (stmt->execute(array($cc, $_GET['geo']))) {
                        header('Location: /pp');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /pp');
                }
                $cc = $row['cc'] ? json_decode($row['cc']) : [];
                echo '<div class="menu">
                <form action="" method="POST">
                Выберите страны, из которых не нужно получать трафик:<br/>
                <select multiple name="cc[]">';
                foreach (C_CODES as $key => $value)
                    echo '<option '.(in_array($key, $cc) ? 'selected' : '').' value="'.$key.'">('.$key.') '.$value.'</option>';
                echo '</select><br/>
                <input type="submit" name="yes" value="Сохранить ('.intval($_GET['geo']).')"/> 
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            }
        } else {
            header('Location: /pp');
        }
    }

    if ($links == 0) {
        echo '<div class="menu">Нет площадок!</div>';
    } else {

        $page = new Pagination($links, 10);

        $data = $connect->prepare("select * from `pp_link` where `uid` = :uid order by `id` desc limit :start, 10");
        $data->bindValue(':uid', $user['id'], PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $stmt_cl->execute(array($row['id']));
            $count_click = $stmt_cl->fetchColumn();

            $file = GlobFiles::findById($row['id'], GlobFiles::Files, GlobFiles::MaskPp);

            echo '<div class="menu">
            ID: '.$row['id'].'<br/>
            URL: '.bblinks($row['url']).'<br/>
            '.($row['banner'] == 1 ? 'Баннер: '.($file ? iconFile($file).'<a data-noajax href="/files/'.basename($file).'">'.basename($file).'</a> ('.get_filesize($file).')<br/><img src="/preview/'.$sys['system']['wba'].'/'.base64_encode('/files/'.basename($file)).'" alt="preview">' : 'NONE') : 'Название: '.$row['name']).'<br/>
            Баланс: '.$row['click'].'<br/>
            Статус: '.($row['status'] == 1 ? 'Включена' : 'Отключена').'<br/>
            Для взрослых: '.($row['adult'] == 1 ? 'Да' : 'Нет').'<br/>
            Разрешить показ рекламы на сайтах для взрослых: '.($row['adult_view'] == 1 ? 'Да' : 'Нет').'<br/>
            Сегодня переходов: '.$count_click.'<br/>
            <div class="chi">Стоимость перехода: '.rub($row['cena']).'</div>
            '.($row['status'] == 2 ? '<div class="danger">Ваша площадка заблокирована!</div>' : ($row['status'] == 3 ? '<div class="information">На модерации!</div>' : '')).'
            <div class="butt2">
            <a href="?mode='.$row['id'].'">'.($row['status'] == 1 ? 'Отключить' : 'Включить').'</a>
            <a href="?bs='.$row['id'].'">Пополнить баланс</a>
            <a href="?del='.$row['id'].'">Удалить</a>
            <a href="?edit='.$row['id'].'">Редактировать</a><br/>
            <a href="/pp/stats/'.$row['id'].'">Статистика площадки</a>
            <a href="?geo='.$row['id'].'">Геотаргетинг</a>
            </div> 
            </div>';

        }

        $page->navigation();

    }

    echo '<div class="title">Стать партнёром ('.$sites.')</div>';

    $num_u = $connect->prepare("select count(*) from `pp_site` where `id` = ? and `uid` = ?");
    $strow = $connect->prepare("select * from `pp_site` where `id` = ?");

    if (isset($_GET['edit2'])) {
        $num_u->execute(array($_GET['edit2'], $user['id']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['edit2']));
            $row = $strow->fetch();
            if ($row['status'] == 2) {
                header('Location: /pp');
            } else {
                if (isset($_POST['yes'])) {

                    $stmt_num = $connect->prepare("select count(*) from `pp_site` where `url` = ? and `id` != ?");
                    $stmt_num->execute(array($_POST['url'], $_GET['edit2']));

                    $error = '';

                    if (empty($_POST['url'])) {
                        $error.= 'Введите URL!<br/>';
                    }
                    elseif (mb_strlen($_POST['url']) < 5 || mb_strlen($_POST['url']) > 250) {
                        $error.= 'URL должен содержать от 5 до 250 символов!<br/>';
                    }
                    elseif ($stmt_num->fetchColumn()) {
                        $error.= 'Площадка с данным URL уже есть в системе!<br/>';
                    }
                    elseif (!isSiteAvailable($_POST['url'])) {
                        $error.= 'URL недоступен или введен не правильно!<br/>';
                    }
                    if (empty($_POST['stat'])) {
                        $error.= 'Укажите ссылку на статистику!<br/>';
                    }
                    if ($error) {
                        echo '<div class="menu">'.$error.'</div>';
                    } else {
                        $adult = empty($_POST['adult']) ? 0 : 1;
                        $adult_view = empty($_POST['adult_view']) ? 0 : 1;
                        $status = ($adm_id == 1 || $sys['modules']['mod_ps'] == 1) ? $row['status'] : 3;
                        $stmt = $connect->prepare("update `pp_site` set `adult` = ?, `adult_view` = ?, `pass` = ?, `stat` = ?, `url` = ?, `status` = ? where `id` = ?");
                        if ($stmt->execute(array($adult, $adult_view, $_POST['pass'], $_POST['stat'], $_POST['url'], $status, $_GET['edit2']))) {
                            header('Location: /pp');
                        } else {
                            echo '<div class="menu">Произошла ошибка!</div>';
                        }
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /pp');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                URL-адрес [5-250]:<br/><input type="text" name="url" value="'.$row['url'].'"><br/>
                Ссылка на статистику сайта:<br/><input type="text" name="stat" value="'.$row['stat'].'"><br/>
                Пароль от статистики (если нужно):<br/><input type="text" name="pass" value="'.$row['pass'].'"><br/>
                <input type="checkbox" '.($row['adult'] == 1 ? 'checked' : '').' name="adult" value="1">Для взрослых (18+)<br/>
                <input type="checkbox" '.($row['adult_view'] == 1 ? 'checked' : '').' name="adult_view" value="1">Размещать рекламу сайтов для взрослых<br/>
                <input type="submit" name="yes" value="Сохранить ('.intval($_GET['edit2']).')"/>
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
            }
        } else {
            header('Location: /pp');
        }
    }
    elseif (isset($_GET['del2'])) {
        $num_u->execute(array($_GET['del2'], $user['id']));
        if ($num_u->fetchColumn()) {
            $strow->execute(array($_GET['del2']));
            $row = $strow->fetch();
            if ($row['status'] == 2) {
                header('Location: /pp');
            } else {
                if (isset($_POST['yes'])) {
                    $del = $connect->prepare("delete from `pp_site` where `id` = ?");
                    if ($del->execute(array($_GET['del2']))) {
                        header('Location: /pp');
                    } else {
                        echo '<div class="menu">Произошла ошибка!</div>';
                    }
                }
                elseif (isset($_POST['no'])) {
                    header('Location: /pp');
                }
                echo '<div class="menu">
                <form action="" method="POST">
                <input type="submit" name="yes" value="Удалить ('.intval($_GET['del2']).')"/> 
                <input type="submit" name="no" value="Отмена"/>
                </form></div>';
           }
        } else {
            header('Location: /pp');
        }
    } else {
        if (isset($_POST['add_site'])) {

            $stmt_num = $connect->prepare("select count(*) from `pp_site` where `url` = ?");
            $stmt_num->execute(array($_POST['url']));

            $error = '';

            if (empty($_POST['url'])) {
                $error.= 'Введите URL!<br/>';
            }
            elseif (mb_strlen($_POST['url']) < 5 || mb_strlen($_POST['url']) > 250) {
                $error.= 'URL должен содержать от 5 до 250 символов!<br/>';
            }
            elseif ($stmt_num->fetchColumn()) {
                $error.= 'Площадка с данным URL уже есть в системе!<br/>';
            }
            elseif (!isSiteAvailable($_POST['url'])) {
                $error.= 'URL недоступен или введен не правильно!<br/>';
            }
            if (empty($_POST['stat'])) {
                $error.= 'Укажите ссылку на статистику!<br/>';
            }
            if ($error) {
                echo '<div class="menu">'.$error.'</div>';
            } else {
                $adult = empty($_POST['adult']) ? 0 : 1;
                $adult_view = empty($_POST['adult_view']) ? 0 : 1;
                $status = ($adm_id == 1 || $sys['modules']['mod_ps'] == 1) ? 1 : 3;
                $stmt = $connect->prepare("insert into `pp_site` set `adult` = ?, `adult_view` = ?, `pass` = ?, `stat` = ?, `url` = ?, `status` = ?, `uid` = ?");
                if ($stmt->execute(array($adult, $adult_view, $_POST['pass'], $_POST['stat'], $_POST['url'], $status, $user['id']))) {
                    header('Location: /pp');
                } else {
                    echo '<div class="menu">Произошла ошибка!</div>';
                }
            }
        }
        echo '<div class="menu">
        <form action="" method="POST">
        URL-адрес [5-250]:<br/><input type="text" name="url" value="http://"><br/>
        Ссылка на статистику сайта:<br/><input type="text" name="stat" value="http://"><br/>
        Пароль от статистики (если нужно):<br/><input type="text" name="pass"><br/>
        <input type="checkbox" name="adult" value="1">Для взрослых (18+)<br/>
        <input type="checkbox" checked name="adult_view" value="1">Размещать рекламу сайтов для взрослых<br/>
        <input type="submit" name="add_site" value="Добавить площадку"/>
        </form></div>';
    }

    $stmt_count_click = $connect->prepare("select count(*) from `pp_click` where `site` = ?");

    if ($sites == 0) {
        echo '<div class="menu">Нет площадок!</div>';
    } else {

        $page = new Pagination($sites, 10);
        $page->setGET('page2');

        $data = $connect->prepare("select * from `pp_site` where `uid` = :uid order by `id` desc limit :start, 10");
        $data->bindValue(':uid', $user['id'], PDO::PARAM_INT);
        $data->bindValue(':start', $page->start, PDO::PARAM_INT);
        $data->execute();
        $sql = $data->fetchAll();

        foreach ($sql as $row) {

            $stmt_count_click->execute(array($row['id']));
            $count_click = $stmt_count_click->fetchColumn();

            echo '<div class="menu">
            ID: '.$row['id'].'<br/>
            URL: '.bblinks($row['url']).'<br/>
            Статистика сайта: '.bblinks($row['stat']) . ($row['pass'] ? ' (<span class="wa-span-green">С паролем</span>)' : '').'<br/>
            Статус: '.($row['status'] == 1 ? 'Включена' : 'Отключена').'<br/>
            Для взрослых: '.($row['adult'] == 1 ? 'Да' : 'Нет').'<br/>
            Размещать рекламу сайтов для взрослых: '.($row['adult_view'] == 1 ? 'Да' : 'Нет').'<br/>
            Сегодня переходов: '.$count_click.'<br/>
            '.($row['status'] == 2 ? '<div class="danger">Ваша площадка заблокирована!</div>' : ($row['status'] == 3 ? '<div class="information">На модерации!</div>' : '')).'
            <div class="menu wa-hidden" id="pp'.$row['id'].'">
            Разместите у себя на сайте этот HTML-код и получайте прибыль с переходов по рекламным ссылкам:<br/>
            <textarea rows="3" cols="30"><div id="pp_'.$row['id'].'"></div>'.PHP_EOL.'<script type="text/javascript" src="'.ROOT.'/pp/js/'.$row['id'].'/6/0"></script></textarea><br/>
            <div class="chi">* JS - '.ROOT.'/pp/js/ИД_ПЛОЩАДКИ/КОЛИЧЕСТВО_ССЫЛОК_В_БЛОКЕ/ТИП_РЕКЛАМЫ<br/>
            * ТИП_РЕКЛАМЫ : 0 - ссылки, 1 - баннеры</div><br/>
            Код Clickunder:<br/>
            <textarea rows="3" cols="30"><script type="text/javascript" src="'.ROOT.'/pp/clickunder/'.$row['id'].'"></script></textarea><br/>
            <div class="chi">* JS - '.ROOT.'/pp/clickunder/ИД_ПЛОЩАДКИ</div>
            </div>
            <div class="butt2">
            <a href="#" id="cc'.$row['id'].'">JS-код</a><br/>
            <a href="?del2='.$row['id'].'">Удалить</a>
            <a href="?edit2='.$row['id'].'">Редактировать</a><br/>
            </div> 
            </div>';

            ?>
            <script>
            $('#cc<?=$row['id'];?>').click(function() {
                $('#pp<?=$row['id'];?>').show();
            });
            </script>
            <?

        }

        $page->navigation();

    }

    echo '<div class="forlink"><a href="/pp/myStats" class="links">Статистика партнёрки</a></div>';

} else {
    header('Location: /');
}

require($_SERVER["DOCUMENT_ROOT"]."/inc/foot.php");
?>